Module
Inhalte
Index 🔎︎

# GlobalScope

Basic-Quelltext und Dialoge sind in einem Bibliothekssystem organisiert.

- Der LibraryContainer enthält Libraries

- Bibliotheken können Module und Dialoge enthalten

## Bei Basic:

- Der LibraryContainer heißt BasicLibraries.

## Bei Dialogen:

- Der LibraryContainer heißt DialogLibraries.

Beide LibraryContainers existieren auf Anwendungsebene und in jedem Dokument. Im Dokument-Basic werden die LibraryContainers des Dokuments automatisch aufgerufen. Um aus einem Dokument die globalen LibraryContainers aufzurufen, müssen Sie das Schlüsselwort GlobalScope verwenden.

## Syntax:

    GlobalScope

## Beispiel:

Beispiel im Dokumenten-Basic

    ' Ansprechen von Dialog1 in der Dokumenten-Bibliothek Standard

    oDlgDesc = DialogLibraries.Standard.Dialog1

    ' Ansprechen von Dialog2 in der Anwendungsbibliothek Library1

    oDlgDesc = GlobalScope.DialogLibraries.Library1.Dialog2